Subject: [PATCH] arm64: use common reboot infrastructure

From: [email-masked] (Catalin Marinas)
Date: Wed, 17 Jul 2013 20:20:04 +0100

On Thu, Jul 11, 2013 at 12:13:00PM +0100, Marc Zyngier wrote:
> Commit 7b6d864b48d9 (reboot: arm: change reboot_mode to use enum
> reboot_mode) changed the way reboot is handled on arm, which has a
> direct impact on arm64 as we share the reset driver on the VE platform.
> 
> The obvious fix is to move arm64 to use the same infrastructure.
> 
> Cc: Robin Holt <[email-masked]>
> Cc: Pawel Moll <[email-masked]>
> Cc: Will Deacon <[email-masked]>
> Cc: Catalin Marinas <[email-masked]>
> Signed-off-by: Marc Zyngier <[email-masked]>

I just did the same before I saw your patch. Anyway, I'll take yours as
you did it first ;)

> --- a/kernel/reboot.c
> +++ b/kernel/reboot.c
> @@ -25,7 +25,7 @@ int C_A_D = 1;
>  struct pid *cad_pid;
>  EXPORT_SYMBOL(cad_pid);
>  
> -#if defined(CONFIG_ARM) || defined(CONFIG_UNICORE32)
> +#if defined(CONFIG_ARM) || defined(CONFIG_ARM64) || defined(CONFIG_UNICORE32)
>  #define DEFAULT_REBOOT_MODE		= REBOOT_HARD
>  #else
>  #define DEFAULT_REBOOT_MODE

Do we need this or we could use the default (I think REBOOT_COLD is 0)?

-- 
Catalin